function val = entropy(x)
%Javier Hernandez Rivera, MIT

%Computes entropy of a binary feature given one of the probabilities

val = -x .* log2(x) - (1-x) .* log2((1-x));
if isnan(val)
    val = 0;
end